Package org.jacoco.core.runtime

## Class RemoteControlReader

- java.lang.Object
- - org.jacoco.core.data.ExecutionDataReader
  - - org.jacoco.core.runtime.RemoteControlReader

    public class RemoteControlReader
    extends ExecutionDataReader

`ExecutionDataReader` with commands added for runtime remote control.

### Field Summary

### Fields inherited from class org.jacoco.core.data.ExecutionDataReader

`in`

### Constructor Summary

Constructors
`RemoteControlReader​(java.io.InputStream input)` Create a new read based on the given input stream.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `readBlock​(byte blockid)` Reads a block of data identified by the given id.
`void` `setRemoteCommandVisitor​(IRemoteCommandVisitor visitor)` Sets an listener for agent commands.

### Methods inherited from class org.jacoco.core.data.ExecutionDataReader

`read, setExecutionDataVisitor, setSessionInfoVisitor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoteControlReader

    public RemoteControlReader​(java.io.InputStream input)
                        throws java.io.IOException

Create a new read based on the given input stream.

Parameters:
  `input` - input stream to read commands from
Throws:
  `java.io.IOException` - if the stream does not have a valid header

### Method Detail

#### readBlock

    protected boolean readBlock​(byte blockid)
                         throws java.io.IOException

Description copied from class: `ExecutionDataReader`
Reads a block of data identified by the given id. Subclasses may overwrite this method to support additional block types.

Overrides:
  `readBlock` in class `ExecutionDataReader`
Parameters:
  `blockid` - block type
Returns:
  `true` if there are more blocks to read
Throws:
  `java.io.IOException` - might be thrown by the underlying input stream

#### setRemoteCommandVisitor

    public void setRemoteCommandVisitor​(IRemoteCommandVisitor visitor)

Sets an listener for agent commands.

Parameters:
  `visitor` - visitor to retrieve agent commands